Subject: Re: bug#994: 23.0.60; minibuffer completion should act on all minibuffer input

From: Stefan Monnier <[email-masked]>
Date: Wed, 17 Sep 2008 21:26:06 -0400

> Actually, in Emacs 23, things are worse yet. I have a file
> `icicles-mcmd.el'. I type `M-x icicles-mcfoobar' and hit TAB with
> point after the `mc'. It completes to `icicles-mcicles-foobar'.
> Huh? No idea what logic is behind that, but perhaps it has to do
> with the new automatic partical completion mode (which is also a
> design mistake, IMO).  If instead point is at the end of the
> input for `M-x icicles-mcfoobar', then it completes to
> `icicles-mcfoobaricles'. Huh? Again, no idea what the logic is
> behind this misbehavior.
 
Can you provide a recipe to reproduce the above two behaviors?

        Stefan